### Method

# GdkPixdata Pixdata to_csource

deprecated: 2.32

#### Declaration [src]

    GString*
    gdk_pixdata_to_csource (
      GdkPixdata* pixdata,
      const gchar* name,
      GdkPixdataDumpType dump_type
    )

#### Description [src]

Generates C source code suitable for compiling images directly into programs.

GdkPixbuf ships with a program called `gdk-pixbuf-csource`, which offers a command line interface to this function.

Deprecated since: 2.32

Use `GResource` instead.

#### Parameters

`name`

  Type: `const gchar*`

  Used for naming generated data structures or macros.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`dump_type`

  Type: `GdkPixdataDumpType`

  The kind of C source to be generated.

#### Return value

Type: `GString`

A newly-allocated string buffer containing the C source form of `pixdata`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.